## GEmblemedIcon

GEmblemedIcon — Icon with emblems

## Functions

GIcon * | g_emblemed_icon_new ()
GIcon * | g_emblemed_icon_get_icon ()
GList * | g_emblemed_icon_get_emblems ()
void | g_emblemed_icon_add_emblem ()
void | g_emblemed_icon_clear_emblems ()

## Properties

GIcon * | gicon | Read / Write / Construct Only

## Types and Values

struct | GEmblemedIcon

## Object Hierarchy

        GObject
        ╰── GEmblemedIcon

## Implemented Interfaces

GEmblemedIcon implements GIcon.

## Includes

    #include <gio/gio.h>

## Description

GEmblemedIcon is an implementation of GIcon that supports adding an emblem to an icon. Adding multiple emblems to an icon is ensured via `g_emblemed_icon_add_emblem()`.

Note that GEmblemedIcon allows no control over the position of the emblems. See also GEmblem for more information.

## Functions

### g_emblemed_icon_new ()

    GIcon *
    g_emblemed_icon_new (GIcon *icon,
                         GEmblem *emblem);

Creates a new emblemed icon for `icon` with the emblem `emblem` .

#### Parameters

icon | a GIcon |
emblem | a GEmblem, or `NULL`. | [nullable]

#### Returns

a new GIcon.

[transfer full][type GEmblemedIcon]

Since: 2.18

### g_emblemed_icon_get_icon ()

    GIcon *
    g_emblemed_icon_get_icon (GEmblemedIcon *emblemed);

Gets the main icon for `emblemed` .

#### Parameters

emblemed | a GEmblemedIcon |

#### Returns

a GIcon that is owned by `emblemed` .

[transfer none]

Since: 2.18

### g_emblemed_icon_get_emblems ()

    GList *
    g_emblemed_icon_get_emblems (GEmblemedIcon *emblemed);

Gets the list of emblems for the `icon` .

#### Parameters

emblemed | a GEmblemedIcon |

#### Returns

a GList of GEmblems that is owned by `emblemed` .

[element-type Gio.Emblem][transfer none]

Since: 2.18

### g_emblemed_icon_add_emblem ()

    void
    g_emblemed_icon_add_emblem (GEmblemedIcon *emblemed,
                                GEmblem *emblem);

Adds `emblem` to the GList of GEmblems.

#### Parameters

emblemed | a GEmblemedIcon |
emblem | a GEmblem |

Since: 2.18

### g_emblemed_icon_clear_emblems ()

    void
    g_emblemed_icon_clear_emblems (GEmblemedIcon *emblemed);

Removes all the emblems from `icon` .

#### Parameters

emblemed | a GEmblemedIcon |

Since: 2.28

## Types and Values

### struct GEmblemedIcon

    struct GEmblemedIcon;

An implementation of GIcon for icons with emblems.

## Property Details

### The `“gicon”` property

      “gicon”                    GIcon *

The GIcon to attach emblems to.

Flags: Read / Write / Construct Only

## See Also

GIcon, GLoadableIcon, GThemedIcon, GEmblem